ORAEMCASM(8)

NAME
oraemcasm - A utility, which is part of the NetWorker Module for EMC Symmetirx for Oracle, used for saving an Oracle database which resides on an EMC Symmetrix disk array

SYNOPSIS
oraemcasm [ -avXZ ] [ -C | -F ] [ -h server ] [ -c client-name ] [ -S oracle-sid ] [ -H oracle-home ] [ -u resfile ] [ -p directory ] [ -g group ] [ -b pool ] [ -T tablespace ... ] [ -P pfile ]

DESCRIPTION
The oraemcasm module is a standard external Application Specific Module (ASM) that uses EMC TimeFinder or SRDF technology to save an Oracle datebase that resides on an EMC Symmetrix unit. See uasm(8) for a general description of ASM's. One or more tablespaces or an entire database can be processed by one backup operation. The oraemcasm module provides the flexibility to perform archive log only backups, hot (online) backups, or cold (offline) backups. Multiple tablespaces may be specified following a single -T option. To backup an entire database omit the -T option. Backups may also be performed by running the save(8) command and specifying a dummy file. The dummy file must be in a directory which contains a directive file specifying oraemcasm should be run against the tablespace or database. Refer to save(8) for details. Two databases sharing EMC Symmetrix devices cannot be backed up in parallel. After performing a backup the user should run and keep the output from oraemcmap(8) to help with recovery.

OPTIONS
oraemcasm accepts the options described below.

-a  Archive log backups. With this option, only the backup control file and archive logs are saved. Default is to save the entire database.

-X  Encryption. Causes the xlateasm to be called when saving tablespaces (see uasm(8) for details on xlateasm). Default is to not encrypt files.

-Z  Compression. Causes the compressasm to be called when saving tablespaces (see uasm(8) for details on compressasm). Default is to not compress files.

-v  Verbose. Cause the program to tell you in great detail what it is doing as it proceeds. Default is quiet (no verbosity).

-C  Cold backup, normal. Used for cold backups. Database will be shutdown using the "shutdown normal" command. Default is "hot" or online backups. If both -C and -F are specified, -F takes precedence.

-F  Cold backup, immediate. Used for cold backups. Database will be shutdown using the "shutdown immediate" command. Default is "hot" or online back ups. If both -C and -F are specified, -F takes precedence.

-b pool
    Specify which volume pool should be used for the save set.

-h server
    Specify which machine to use as the NetWorker server. If not specified, use local machine as server.

-c client-name
    Specify the client name for starting the save session. This is useful on clients with multiple network interfaces, and hence multiple host names. It can be used to create multiple index databases for the same physical client. If not specified, use local machine as client-name.

-S oracle-sid
    Specify the Oracle SID of the database to be backed up. If not set, $ORACLE_SID from the environment is used.

-H oracle-home
    Specify the Oracle home directory of the database to be backed up. If not set, $ORACLE_HOME from the environment is used.

-u resfile
    Specify the resource file for the configuration information. If not set, /nsr/res/oraemcasm.res is used.

-p directory
    Specify the location for the "backup" control file. If not set, the Oracle "log_archive_dest" directory is used.

-g group
    Specify the save group that will be used to select the volume pool.

-T tablespace
    Specify the tablespace to be backed up. The user can enter multiple tablespaces following the -T option. If this option is omitted, then all tablespaces (or the entire database) are backed up.

-P pfile
    Specify the Oracle parameter file to be used to re-start the Oracle database after a cold backup. If not specified, $ORACLE_HOME/dbs/init$ORACLE_SID.ora is used.

EXAMPLES
Backup a Single Tablespace
    In this example, the Oracle SID is 'EMC2', the Oracle home directory is '/usr/oracle', and the resource file is /nsr/res/neptune.res. To backup tablespace 'Test1' and 'Test2', use:
         oraemcasm -S EMC2 -H /usr/oracle -u neptune.res -T Test1 Test2

Backup Entire Database
    To backup the entire 'EMC2' database using the resource file '/nsr/res/pluto.res' use:
         oraemcasm -S EMC2 -H /usr/oracle -u pluto.res

FILES
/nsr/res/oraemcasm.res
    Sample oraemcasm resource file.

SEE ALSO
emcdiscover(8), oraemcmap(8), nsr(5), nsr(8), nsr_directive(5), nsrindexasm(8), nsrmmdbasm(8), recover(8), save(8), scanner(8)